﻿<!DOCTYPE html>
<html lang="en">
<head>
    <title>upware login</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <link rel="icon" href="https://upware1.b-cdn.net/loginPage/images/icons/favicon.png" type="image/png">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/vendor/bootstrap/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/fonts/Linearicons-Free-v1.0.0/icon-font.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/vendor/animate/animate.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/vendor/css-hamburgers/hamburgers.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/vendor/animsition/css/animsition.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/vendor/select2/select2.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/vendor/daterangepicker/daterangepicker.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/css/util.css">
    <link rel="stylesheet" type="text/css" href="https://upware1.b-cdn.net/loginPage/css/main.css">
    <!--===============================================================================================-->
</head>
<body>

    <div class="limiter">
        <div class="container-login100" style="background-image: url('https://upware1.b-cdn.net/loginPage/images/bckground.jpg');">
            <div class="wrap-login100 p-l-110 p-r-110 p-t-62 p-b-33">
                <form class="login100-form validate-form flex-sb flex-w">
                    <span class="login100-form-title p-b-53">
                        Sign In With
                    </span>

                    <a id='btn_google_login' href="#" class="btn-google m-b-20">
                        <img src="https://upware1.b-cdn.net/loginPage/images/icons/icon-google.png" alt="GOOGLE">
                        Google
                    </a>

                    <div class="p-t-31 p-b-9">
                        <span class="txt1">
                            Username
                        </span>
                    </div>
                    <div class="wrap-input100 validate-input" data-validate="Username is required">
                        <input class="input100" type="text" name="username">
                        <span class="focus-input100"></span>
                    </div>

                    <div class="p-t-13 p-b-9">
                        <span class="txt1">
                            Password
                        </span>

                        <a href="#" class="txt2 bo1 m-l-5">
                            Forgot?
                        </a>
                    </div>
                    <div class="wrap-input100 validate-input" data-validate="Password is required">
                        <input class="input100" type="password" name="pass">
                        <span class="focus-input100"></span>
                    </div>

                    <div class="container-login100-form-btn m-t-17">
                        <button class="login100-form-btn">
                            Sign In
                        </button>
                    </div>

                    <div class="w-full text-center p-t-55">
                        <span class="txt2">
                            Not a member?
                        </span>

                        <a href="#" class="txt2 bo1">
                            Sign up now
                        </a>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <div id="dropDownSelect1"></div>

    <!--===============================================================================================-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <!--===============================================================================================-->
    <script src="https://upware1.b-cdn.net/loginPage/vendor/animsition/js/animsition.min.js"></script>
    <!--===============================================================================================-->
    <script src="https://upware1.b-cdn.net/loginPage/vendor/bootstrap/js/popper.js"></script>
    <script src="https://upware1.b-cdn.net/loginPage/vendor/bootstrap/js/bootstrap.min.js"></script>
    <!--===============================================================================================-->
    <script src="https://upware1.b-cdn.net/loginPage/vendor/select2/select2.min.js"></script>
    <!--===============================================================================================-->
    <script src="https://upware1.b-cdn.net/loginPage/vendor/daterangepicker/moment.min.js"></script>
    <script src="https://upware1.b-cdn.net/loginPage/vendor/daterangepicker/daterangepicker.js"></script>
    <!--===============================================================================================-->
    <script src="https://upware1.b-cdn.net/loginPage/vendor/countdowntime/countdowntime.js"></script>
    <!--===============================================================================================-->
    <script src="https://upware1.b-cdn.net/loginPage/js/main.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.2.3/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.2.3/firebase-firestore.js"></script>

    <script src="https://www.gstatic.com/firebasejs/7.2.3/firebase-auth.js"></script>
    <!--<script type="text/javascript" src="https://upware1.b-cdn.net/Common/js/firebase.js"></script>-->

</body>
<script>
    function firebase_init() {
        var config = {
            apiKey: "AIzaSyC7elL3FYPlcVj7PvN9ecGpvVUVg6L1fKg",
            authDomain: "worklist-app.firebaseapp.com",
            databaseURL: "https://worklist-app.firebaseio.com",
            projectId: "worklist-app",
            storageBucket: "worklist-app.appspot.com",
            messagingSenderId: "740341135888"
        };
        firebase.initializeApp(config);

        firebase.firestore().settings({});
    }
    var test1;
    var first_get = false;
    function google_login() {
        var provider = new firebase.auth.GoogleAuthProvider();
        firebase.auth().signInWithPopup(provider).then(function (result) {
            // This gives you a Google Access Token. You can use it to access the Google API.
            var token = result.credential.accessToken;
            // The signed-in user info.
            user = result.user;
            // ...
            ////console.log(user)
            sendAjaxRegisterUser(user);
            window.location.href = "/main";
        }).catch(function (error) {
            // Handle Errors here.
            var errorCode = error.code;
            var errorMessage = error.message;
            // The email of the user's account used.
            var email = error.email;
            // The firebase.auth.AuthCredential type that was used.
            var credential = error.credential;
            // ...
            ////console.log(errorCode);
        });
    }
    function facebook_login() {
        var provider = new firebase.auth.FacebookAuthProvider();

        firebase.auth().signInWithPopup(new firebase.auth.FacebookAuthProvider()).then(function (result) {
            // This gives you a Google Access Token. You can use it to access the Google API.
            var token = result.credential.accessToken;
            // The signed-in user info.
            user = result.user;
            // ...
            ////console.log(user)
            sendAjaxRegisterUser(user);
            window.location.href = "/main";
        }).catch(function (error) {
            if (error.code === 'auth/account-exists-with-different-credential') {
                var pendingCred = error.credential;
                var email = error.email;
                firebase.auth().fetchSignInMethodsForEmail(email).then(function (methods) {
                    ////console.log(methods[0]);
                    if (methods[0] === 'password') {
                        var password = promptUserForPassword(); // TODO: implement promptUserForPassword.
                        firebase.auth().signInWithEmailAndPassword(email, password).then(function (user) {
                            // Step 4a.
                            return user.linkWithCredential(pendingCred);
                        }).then(function () {
                            // Google account successfully linked to the existing Firebase user.
                            sendAjaxRegisterUser(user);
                            window.location.href = "/main";
                        });
                        return;
                    }
                    var provider = new firebase.auth.GoogleAuthProvider();
                    firebase.auth().signInWithPopup(provider).then(function (result) {
                        result.user.linkAndRetrieveDataWithCredential(pendingCred).then(function (usercred) {

                        });
                    });
                });
            }
        });
    }

    function sendAjaxRegisterUser(user) {
        var obj = {
            uid: user.uid,
            firmwareCount: 0,
        };
        ////console.log(obj);
        if (obj.uid != undefined) {
            $.ajax({
                url: "/Home/userInit",
                data: JSON.stringify(obj),
                type: "POST",
                contentType: "application/json;charset=utf-8",
                dataType: "json",
                success: function (result) {
                    ////console.log("user remain");
                    //loadData();
                    //$('#myModal').modal('hide');
                },
                error: function (errormessage) {
                    //alert(errormessage.responseText);
                    //console.log(errormessage);
                    //console.log(JSON.stringify(obj));
                }
            });
        }
    }

    $(document).ready(function () {
        firebase_init();

        firebase.auth().onAuthStateChanged(function (user) {
            if (user) {
                var user = firebase.auth().currentUser;
                //console.log(user);
                sendAjaxRegisterUser(user);
                window.location.href = "/main";
            } else {
                //console.log('user login');
            }
        });

        document.getElementById('btn_google_login').addEventListener('click', google_login);
        //document.getElementById('btn_facebook_login').addEventListener('click', facebook_login);

    })
</script>
<script>




</script>
</html>